Oracle Application Server Web Cache Multiple Vulnerabilities

High Nessus Network Monitor Plugin ID 1213

Synopsis

The remote host is vulnerable to a heap overflow

Description

The remote host is running a version of Oracle Application Server Web Cache version 9.0.4.0 or older. There is a heap overflow condition in this version of the software, that may allow an attacker to execute arbitrary code on this host. In addition, there is an unspecified issue with client request handling.

Solution

See http://otn.oracle.com/deploy/security/pdf/2004alert66.pdf for vendor patch information.

See Also

http://www.inaccessnetworks.com/ian/services/secadv01.txt

Plugin Details

Severity: High

ID: 1213

Family: Web Servers

Published: 2004/08/20

Modified: 2018/09/16

Dependencies: 1442

Nessus ID: 12126

Risk Information

Risk Factor: High

CVSSv2

Base Score: 9.3

Temporal Score: 7.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:U/RC:C

CVSSv3

Base Score: 8.1

Temporal Score: 7.4

Vector: CVSS3#AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS3#E:U/RL:U/RC:C

Vulnerability Information

CPE: cpe:/a:oracle:application_server_web_cache

Reference Information

CVE: CVE-2004-0385

BID: 9868